Summary:	Music on Hold for Asterisk, The Open Source PBX
Name:		asterisk-moh
Version:    2.03
Release:    1%{?dist}
License:    CCPL
URL:        http://www.asterisk.org/
BuildArch:  noarch

BuildRequires: wget

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.

%package	opsounds
Summary:	Asterisk Music on Hold - opsounds
Group:		Utilities/System
Provides:   %{name} = %{version}-%{release}

%description opsounds
This package contains Asterisk Music on Hold - opsounds.

%prep

wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-alaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-g722-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-g729-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-gsm-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-siren7-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-siren14-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-sln16-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-ulaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-moh-opsound-wav-%{version}.tar.gz

%build

%install

mkdir -p %{buildroot}/usr/share/asterisk/moh/

tar xof asterisk-moh-opsound-alaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-g722-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-g729-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-gsm-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-siren7-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-siren14-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-sln16-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-ulaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/
tar xof asterisk-moh-opsound-wav-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/moh/

%clean
rm -rf %{buildroot}

%post

%files opsounds
%attr(0664,asterisk,asterisk) /usr/share/asterisk/moh/*

%changelog
* Mon Dec 16 2019 Mike WeX <wex.tmpvar@gmail.com> - 2.03-1
- Rebuilt for EPEL-8